### File

`packages/ecl/components/ecl-category-filter/ecl-category-filter-list/ecl-category-filter-list.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-category-filter-list`
templateUrl | `./ecl-category-filter-list.component.html`

### Index

###### Properties
className controls eclCategoryFilterItems role
###### Methods
updateChildrenItemsLevel getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
attr.aria-controls attr.role class.ecl-category-filter__list
###### Accessors
level hasChildren children

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.aria-controls
Type : `string`
ARIA attribute that points to the element controlled by this list (if applicable).

attr.role
Type : `string`
Default value : `'list'`
Sets ARIA role to "list" for accessibility purposes.

class.ecl-category-filter__list
Type : `boolean`
Default value : `true`
Adds the base class for the category filter list component.

### Methods

updateChildrenItemsLevel
`updateChildrenItemsLevel(value: number)`
Propagates the current level to all direct children items. Parameters :
Name | Type | Optional | Description
value | `number` | No | Level value to set on each child.
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-category-filter__list')`
Adds the base class for the category filter list component.

controls
Type : `string`
Decorators : `@HostBinding('attr.aria-controls')`
ARIA attribute that points to the element controlled by this list (if applicable).

eclCategoryFilterItems
Type : `QueryList<EclCategoryFilterItemComponent>`
Decorators : `@ContentChildren(undefined)`
List of all category filter items projected inside this list.

role
Type : `string`
Default value : `'list'`
Decorators : `@HostBinding('attr.role')`
Sets ARIA role to "list" for accessibility purposes.

### Accessors

level
get `level()`
Gets the nesting level of this list in the category tree. Returns : `number`
set `level(value: number)`
Sets the level of the list and applies it to all its children. Parameters :
Name | Type | Optional
value | `number` | No
Returns : `void`

hasChildren
get `hasChildren()`
Returns true if the list contains one or more category filter items. Returns : `boolean`

children
get `children()`
Returns the list of child components. Returns : `EclCategoryFilterItemComponent[]`

# results matching ""

# No results matching ""